Page MenuHomePhabricator

Improve ATS prometheus metrics
Closed, ResolvedPublic

Description

Right now we're missing important metrics like proxy.process.net.connections_throttled_in, we need to upgrade the exporter to version 0.3.2 and ship our custom metrics file

Details

Related Gerrit Patches:
operations/debs/trafficserver : masterRelease 8.0.5-1wm5
operations/puppet : productionprometheus: Fix trafficserver_response_classes_total metric
operations/puppet : productionprometheus: Add basic ATS network and ssl metrics
operations/puppet : productionprometheus: Ship a custom metrics file for trafficserver_exporter

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptAug 29 2019, 9:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 533178 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] prometheus: Ship a custom metrics file for trafficserver_exporter

https://gerrit.wikimedia.org/r/533178

ema moved this task from Triage to Caching on the Traffic board.Aug 29 2019, 10:26 AM
ema triaged this task as Medium priority.Aug 29 2019, 10:50 AM

Change 533193 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] prometheus: Add basic ATS network and ssl metrics

https://gerrit.wikimedia.org/r/533193

Mentioned in SAL (#wikimedia-operations) [2019-09-02T12:46:55Z] <vgutierrez> uploaded prometheus-trafficserver-exporter 0.3.2 to apt.wikimedia.org (stretch) - T231533

Mentioned in SAL (#wikimedia-operations) [2019-09-02T12:58:00Z] <vgutierrez> upgrading prometheus-trafficserver-exporter to version 0.3.2 on cp5001 - T231533

Mentioned in SAL (#wikimedia-operations) [2019-09-02T13:09:39Z] <vgutierrez> upgrading prometheus-trafficserver-exporter to version 0.3.2 on the cache cluster - T231533

Change 533178 merged by Vgutierrez:
[operations/puppet@production] prometheus: Ship a custom metrics file for trafficserver_exporter

https://gerrit.wikimedia.org/r/533178

Change 533193 merged by Vgutierrez:
[operations/puppet@production] prometheus: Add basic ATS network and ssl metrics

https://gerrit.wikimedia.org/r/533193

Change 533935 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] prometheus: Fix trafficserver_response_classes_total metric

https://gerrit.wikimedia.org/r/533935

Change 533935 merged by Vgutierrez:
[operations/puppet@production] prometheus: Fix trafficserver_response_classes_total metric

https://gerrit.wikimedia.org/r/533935

Change 534118 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/debs/trafficserver@master] Release 8.0.5-1wm5

https://gerrit.wikimedia.org/r/534118

Change 534118 merged by Vgutierrez:
[operations/debs/trafficserver@master] Release 8.0.5-1wm5

https://gerrit.wikimedia.org/r/534118

Mentioned in SAL (#wikimedia-operations) [2019-09-04T10:09:11Z] <vgutierrez> uploaded trafficserver 8.0.5-1wm5 to apt.wikimedia.org (stretch) - T231533 T231859

ema closed this task as Resolved.Mon, Dec 2, 8:01 AM
ema claimed this task.
ema added a subscriber: ema.

The version of trafficserver-prometheus-exporter running on the cluster supports custom metrics, and we ship our own metric files. Closing!